Commits

Juri Pakaste  committed 3be8ad9

Document workaround for Mavericks and Xcode 5

  • Participants
  • Parent commits 2ed889b

Comments (0)

Files changed (1)

 
 This software includes a copy of the libclang Python bindings because they aren't installed by Xcode. They require LLVM 3.1 which is included at least in Xcode 4.5.2.
 
+Mavericks, Xcode 5 and libclang
+-------------------------------
+
+It seems at some point during the Mavericks / Xcode 5 / Xcode 5.1 time frame Apple has stopped providing libclang to normal apps. You need to install it yourself, or to use the one inside Xcode, set an environment variable so the linker finds it. The latter option looks something like this::
+
+ $ DYLD_FALLBACK_LIBRARY_PATH=/Applications/Xcode51-Beta5.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/lib/ nsstringfromenumgen
+
+Or for fish users::
+
+ $ set -x DYLD_FALLBACK_LIBRARY_PATH /Applications/Xcode51-Beta5.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/lib/
+ $ nsstringfromenumgen -
+
 Installation
 ------------